<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.feesapi.bmgl.mapper.BmSfqdMapper">
    <select id="selectMaxId" resultType="decimal">
        SELECT NVL(MAX(to_number(CODE)), 0)
        FROM bm_sfqd
    </select>

    <select id="selectListMap" resultType="java.util.Map">
        select * from bm_sfqd where 1=1
    </select>
    <resultMap id="bmSfqdMap" type="com.tofly.feesapi.bmgl.entity.BmSfqd">
        <id property="code" column="CODE"/>
        <result property="xgryxm" column="XGRYXM"/>
        <result property="isextunit" column="ISEXTUNIT"/>
        <result property="name" column="NAME"/>
        <result property="yysj" column="YYSJ"/>
        <result property="fzr" column="FZR"/>
        <result property="lxdh" column="LXDH"/>
        <result property="bz" column="BZ"/>
        <result property="ssgs" column="SSGS"/>
        <result property="cdate" column="CDATE"/>
        <result property="xdate" column="XDATE"/>
        <result property="xgry" column="XGRY"/>
    </resultMap>


</mapper>
